package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.MarkLevel;
import cn.com.qmth.stmms.biz.exam.model.MarkStep;

public interface MarkLevelService {

    public MarkLevel save(MarkLevel markLevel);

    public void delete(MarkLevel markLevel);

    public List<MarkLevel> findByBlockIdAndStepNumber(int blockId, int stepNumber);

    public List<MarkLevel> findByStep(MarkStep step);

    public void deleteByBlockIdAndStepNumber(int blockId, int stepNumber);

    public void deleteByBlockId(int blockId);
}
